/**
 * Data model pour les contacts
 */
export default class ContactDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      contacttype: new fields.StringField({ initial: "" }),
      niveau: new fields.StringField({ initial: "" }),
      pointdev: new fields.NumberField({ initial: 0, integer: true }),
      description: new fields.HTMLField({ initial: "" })
    };
  }
}
